Internal error at Issues page

2008-05-05 04:47 - Francis Chong

Status: Closed Start date: 2008-05-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.7.1   

Resolution: Fixed Affected version:  

Description

Encounter 500 error when select specific parameter at Issues page.

Environment: Postgres 8.2.5 + Redmine 0.7.0

To reproduce the issue, select Status = All, Author = Me, press apply, will return a 500 page. Afterwards the Issues page cannot be

shown.

Workaround: clear all cookies of the browser.

Processing IssuesController#index (for x.x.x.x at 2008-05-05 10:36:25) [GET]

  Session ID: *

  Parameters: {"project_id"=>"x", "action"=>"index", "controller"=>"issues"}

ActiveRecord::StatementInvalid (PGError: ERROR:  invalid input syntax for integer: "" 

: SELECT count(DISTINCT issues.id) AS count_all FROM issues 

 LEFT OUTER JOIN issue_statuses ON issue_statuses.id = issues.status_id  

 LEFT OUTER JOIN projects ON projects.id = issues.project_id  

 WHERE (issues.project_id = 2 AND (issues.author_id IN ('4')) AND (issues.status_id IS NOT NULL AN

D issues.status_id <> '')) ):

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:150:in `l

og'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:407:in 

`execute'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:782:in 

`select_raw'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/postgresql_adapter.rb:769:in 

`select'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.

rb:7:in `select_all_without_query_cache'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:53:in

 `select_all'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:74:in

 `cache_sql'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:53:in

 `select_all'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.

rb:13:in `select_one'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.

rb:19:in `select_value'

    /vendor/rails/activerecord/lib/active_record/calculations.rb:208:in `execute_simple_calculatio

n'

    /vendor/rails/activerecord/lib/active_record/calculations.rb:123:in `calculate'

    /vendor/rails/activerecord/lib/active_record/calculations.rb:119:in `catch'

    /vendor/rails/activerecord/lib/active_record/calculations.rb:119:in `calculate'

    /vendor/rails/activerecord/lib/active_record/calculations.rb:46:in `count'

    /app/controllers/issues_controller.rb:59:in `index'

    /vendor/rails/actionpack/lib/action_controller/base.rb:1158:in `send'

    /vendor/rails/actionpack/lib/action_controller/base.rb:1158:in `perform_action_without_filters

'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:697:in `call_filters'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:689:in `perform_action_without_bench
mark'

    /vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_r

escue'

    /usr/local/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_r

escue'

    /vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in `perform_action_without_cachin

g'

    /vendor/rails/actionpack/lib/action_controller/caching.rb:678:in `perform_action'

    /vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in

 `cache'

    /vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    /vendor/rails/actionpack/lib/action_controller/caching.rb:677:in `perform_action'

    /vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

    /vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

    /vendor/rails/actionpack/lib/action_controller/filters.rb:685:in `process_without_session_mana

gement_support'

    /vendor/rails/actionpack/lib/action_controller/session_management.rb:123:in `process'

    /vendor/rails/actionpack/lib/action_controller/base.rb:388:in `process'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in `handle_request'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in `dispatch'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    /vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:in `dispatch'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/rack/adapter/rails.rb:49:in `serve_rails'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/rack/adapter/rails.rb:64:in `call'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/connection.rb:45:in `process'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/connection.rb:31:in `receive_data'

    /usr/local/lib/ruby/gems/1.8/gems/eventmachine-0.10.0/lib/eventmachine.rb:1056:in `event_callb

ack'

    /usr/local/lib/ruby/gems/1.8/gems/eventmachine-0.10.0/lib/eventmachine.rb:224:in `run_machine'

    /usr/local/lib/ruby/gems/1.8/gems/eventmachine-0.10.0/lib/eventmachine.rb:224:in `run'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/backends/base.rb:34:in `start'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/server.rb:136:in `start'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/controllers/controller.rb:70:in `start'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/runner.rb:156:in `send'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/runner.rb:156:in `run_command'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/lib/thin/runner.rb:127:in `run!'

    /usr/local/lib/ruby/gems/1.8/gems/thin-0.7.1/bin/thin:6

    /usr/local/bin/thin:19:in `load'

    /usr/local/bin/thin:19

Rendering /home/postgres/redmine-0.7.0/public/500.html (500 Internal Server Error)

History

#1 - 2008-05-05 04:50 - Francis Chong

- File 2008-05-05_1048.png added

It seems selecting Status "all" cause the problem

#2 - 2008-05-05 05:25 - Anonymous

This is a duplicate of #1165, which is a duplicate of #1134, which is fixed in the latest 0.7.1 release.

#3 - 2008-05-06 20:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.1

- Resolution set to Fixed

As Nick said, it's fixed in 0.7.1
